aboutsummaryrefslogtreecommitdiffstats
path: root/main/libevent/APKBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'main/libevent/APKBUILD')
-rw-r--r--main/libevent/APKBUILD44
1 files changed, 35 insertions, 9 deletions
diff --git a/main/libevent/APKBUILD b/main/libevent/APKBUILD
index 9d0b3f7624..2ab102199d 100644
--- a/main/libevent/APKBUILD
+++ b/main/libevent/APKBUILD
@@ -1,7 +1,8 @@
+# Contributor: Sergei Lukin <sergej.lukin@gmail.com>
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=libevent
pkgver=2.0.22
-pkgrel=0
+pkgrel=1
pkgdesc="An event notification library"
url="http://libevent.org/"
arch="all"
@@ -10,16 +11,32 @@ depends=""
depends_dev="python"
makedepends="$depends_dev openssl-dev"
subpackages="$pkgname-dev"
-source="https://sourceforge.net/projects/levent/files/libevent/libevent-${pkgver%.*}/libevent-$pkgver-stable.tar.gz"
-_builddir="$srcdir"/$pkgname-$pkgver-stable
+source="https://github.com/$pkgname/$pkgname/releases/download/release-${pkgver}-stable/$pkgname-${pkgver}-stable.tar.gz
+ CVE-2016-10195.patch
+ CVE-2016-10196.patch
+ CVE-2016-10197.patch
+ "
+
+# secfixes:
+# 2.0.22-r1:
+# - CVE-2016-10195
+# - CVE-2016-10196
+# - CVE-2016-10197
+
+builddir="$srcdir"/$pkgname-$pkgver-stable
prepare() {
- cd "$_builddir"
+ cd "$builddir"
update_config_sub || return 1
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
}
build() {
- cd "$_builddir"
+ cd "$builddir"
./configure \
--build=$CBUILD \
--host=$CHOST \
@@ -31,7 +48,7 @@ build() {
}
package() {
- cd "$_builddir"
+ cd "$builddir"
make -j1 DESTDIR=$pkgdir install || return 1
}
@@ -41,6 +58,15 @@ dev() {
mv "$pkgdir"/usr/bin "$subpkgdir"/usr/
}
-md5sums="c4c56f986aa985677ca1db89630a2e11 libevent-2.0.22-stable.tar.gz"
-sha256sums="71c2c49f0adadacfdbe6332a372c38cf9c8b7895bb73dabeaa53cdcc1d4e1fa3 libevent-2.0.22-stable.tar.gz"
-sha512sums="990637f12e890bfa7f86c194c8b112701436e92b60afb829194879efb85d558b986261e6508fe29bde73981feada874438e2d442cec8ea5730c889954f9bc907 libevent-2.0.22-stable.tar.gz"
+md5sums="c4c56f986aa985677ca1db89630a2e11 libevent-2.0.22-stable.tar.gz
+5973445706814d61d573ac1baa747029 CVE-2016-10195.patch
+095d09dafa215939d065e20ca13e3cb1 CVE-2016-10196.patch
+52e2e3eae3b5219542a564ca57cbf14d CVE-2016-10197.patch"
+sha256sums="71c2c49f0adadacfdbe6332a372c38cf9c8b7895bb73dabeaa53cdcc1d4e1fa3 libevent-2.0.22-stable.tar.gz
+1acc1ace88a157ed53c99bd52853cc4f8473da2ae183881619190a41bd92f6c7 CVE-2016-10195.patch
+f3d535cece4c2b437bc276c3f7833b4ea762baf82ef99c5e15eb893dba713429 CVE-2016-10196.patch
+4e1dace28e11ffc8b69635d1dd0ed5efab34a950f4b7198cf08bccaba1106bc0 CVE-2016-10197.patch"
+sha512sums="990637f12e890bfa7f86c194c8b112701436e92b60afb829194879efb85d558b986261e6508fe29bde73981feada874438e2d442cec8ea5730c889954f9bc907 libevent-2.0.22-stable.tar.gz
+ecc76b4ebdcee4567ff53bbb710a39475e56a8298f14c9967e76aeb09b7b701b088c5c6771251fdbf2d67a3bb6524cffa3efb38b078cc486fe4648280f6d2b10 CVE-2016-10195.patch
+7999677bd17ca1457ef3fe4ccc7a031c36f42ec6bf6059cc53cc999ba73ecce87ba5813445e1f63ea1b120dc5a4b5b77206fe4753ac3268d5e3ad5b5e64209a4 CVE-2016-10196.patch
+b366247b478a691165ca7288e5924988d04031136411f0133149a455b5d0dc9553ef629c2282251537d6dde2b507ab116829807d0322f2dace30e93d2bab5f53 CVE-2016-10197.patch"